import * as z from 'zod';
// prettier-ignore
export const PatientDocumentResultSchema = z.object({
    id: z.number().int(),
    patientId: z.number().int(),
    filename: z.string(),
    originalName: z.string(),
    mimeType: z.string(),
    fileSize: z.bigint(),
    filePath: z.string(),
    uploadedAt: z.date(),
    updatedAt: z.date(),
    patient: z.unknown()
}).strict();

export type PatientDocumentResultType = z.infer<typeof PatientDocumentResultSchema>;
